Package org.jboss.logmanager.filters

## Class LevelRangeFilter

- java.lang.Object
- - org.jboss.logmanager.filters.LevelRangeFilter

All Implemented Interfaces:
  `java.util.logging.Filter`

    public final class LevelRangeFilter
    extends java.lang.Object
    implements java.util.logging.Filter

Log only messages that fall within a level range.

### Constructor Summary

Constructors
`LevelRangeFilter​(java.util.logging.Level min, boolean minInclusive, java.util.logging.Level max, boolean maxInclusive)` Create a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLoggable​(java.util.logging.LogRecord record)` Determine if a record is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelRangeFilter

    public LevelRangeFilter​(java.util.logging.Level min,
                            boolean minInclusive,
                            java.util.logging.Level max,
                            boolean maxInclusive)

Create a new instance.

Parameters:
  `min` - the minimum (least severe) level, inclusive
  `minInclusive` - `true` if the `min` value is inclusive, `false` if it is exclusive
  `max` - the maximum (most severe) level, inclusive
  `maxInclusive` - `true` if the `max` value is inclusive, `false` if it is exclusive

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Determine if a record is loggable.

Specified by:
  `isLoggable` in interface `java.util.logging.Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the record's level falls within the range specified for this instance